Subject: Re: Guix won't boot after installation with fully encrypted disk

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sat, 28 Mar 2020 13:42:31 +0100

Hello Reg!

On Thu, May 23, 2019 at 11:41:40PM +0200, Reg wrote:
> Guix won't boot on my ThinkPad T430 after an installation with fully
> encrypted disk:

A friend had an issue that looked similar on an HP laptop (no
Thinkpad) in Guix System.  GRUB got stuck either after entering the
encryption key or, without encryption, when booting Guix.  The
resolution was to enable CSM Legacy Support in the UEFI/BIOS settings
(even though it is a grub-efi-bootloader install).  Maybe this is
something to try if you or someone else has such an issue again.

Regards,
Florian